CRYPTO_BLKCIPHER_SET(9)

NAME
crypto_blkcipher_set_iv - set IV for cipher

SYNOPSIS

void crypto_blkcipher_set_iv(struct crypto_blkcipher * tfm, const u8 * src, unsigned int len);

ARGUMENTS

tfm
    cipher handle

src
    buffer holding the IV

len
    length of the IV in bytes

DESCRIPTION

The caller provided IV is set for the block cipher referenced by the cipher handle.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT